
### Mattermost Environment Vars Reference



The settings below have been reformatted as environment variables from the
original Mattermost "`config.json`" file. These settings can be used in the
main Gitlab configuration file,  "`gitlab.rb`".


[Official Documentation](https://docs.mattermost.com/administration/config-settings.html#site-configuration)

---

```ruby
# ServiceSettings

'MM_SERVICESETTINGS_SITEURL' => "<CLASS 'STR'>",
'MM_SERVICESETTINGS_WEBSOCKETURL' => "<CLASS 'STR'>",
'MM_SERVICESETTINGS_LICENSEFILELOCATION' => "<CLASS 'STR'>",
'MM_SERVICESETTINGS_LISTENADDRESS' => ':8065',
'MM_SERVICESETTINGS_CONNECTIONSECURITY' => "<CLASS 'STR'>",
'MM_SERVICESETTINGS_TLSCERTFILE' => "<CLASS 'STR'>",
'MM_SERVICESETTINGS_TLSKEYFILE' => "<CLASS 'STR'>",
'MM_SERVICESETTINGS_TLSMINVER' => '1.2',
'MM_SERVICESETTINGS_TLSSTRICTTRANSPORT' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_TLSSTRICTTRANSPORTMAXAGE' => '63072000',
'MM_SERVICESETTINGS_TLSOVERWRITECIPHERS' => "<CLASS 'LIST'>",
'MM_SERVICESETTINGS_USELETSENCRYPT' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_LETSENCRYPTCERTIFICATECACHEFILE' => './CONFIG/LETSENCRYPT.CACHE',
'MM_SERVICESETTINGS_FORWARD80TO443' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_TRUSTEDPROXYIPHEADER' => "['X-FORWARDED-FOR', 'X-REAL-IP']",
'MM_SERVICESETTINGS_READTIMEOUT' => '300',
'MM_SERVICESETTINGS_WRITETIMEOUT' => '300',
'MM_SERVICESETTINGS_MAXIMUMLOGINATTEMPTS' => '10',
'MM_SERVICESETTINGS_GOROUTINEHEALTHTHRESHOLD' => '-1',
'MM_SERVICESETTINGS_GOOGLEDEVELOPERKEY' => "<CLASS 'STR'>",
'MM_SERVICESETTINGS_ENABLEOAUTHSERVICEPROVIDER' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_ENABLEINCOMINGWEBHOOKS' => 'true',
'MM_SERVICESETTINGS_ENABLEOUTGOINGWEBHOOKS' => 'true',
'MM_SERVICESETTINGS_ENABLECOMMANDS' => 'true',
'MM_SERVICESETTINGS_ENABLEONLYADMININTEGRATIONS' => 'true',
'MM_SERVICESETTINGS_ENABLEPOSTUSERNAMEOVERRIDE' => 'true',
'MM_SERVICESETTINGS_ENABLEPOSTICONOVERRIDE' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_ENABLELINKPREVIEWS' => 'true',
'MM_SERVICESETTINGS_ENABLETESTING' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_ENABLEDEVELOPER' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_ENABLESECURITYFIXALERT' => 'true',
'MM_SERVICESETTINGS_ENABLEINSECUREOUTGOINGCONNECTIONS' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_ALLOWEDUNTRUSTEDINTERNALCONNECTIONS' => "<CLASS 'STR'>",
'MM_SERVICESETTINGS_ENABLEMULTIFACTORAUTHENTICATION' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_ENFORCEMULTIFACTORAUTHENTICATION' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_ENABLEUSERACCESSTOKENS' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_ALLOWCORSFROM' => "<CLASS 'STR'>",
'MM_SERVICESETTINGS_CORSEXPOSEDHEADERS' => "<CLASS 'STR'>",
'MM_SERVICESETTINGS_CORSALLOWCREDENTIALS' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_CORSDEBUG' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_ALLOWCOOKIESFORSUBDOMAINS' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_SESSIONLENGTHWEBINDAYS' => '180',
'MM_SERVICESETTINGS_SESSIONLENGTHMOBILEINDAYS' => '180',
'MM_SERVICESETTINGS_SESSIONLENGTHSSOINDAYS' => '30',
'MM_SERVICESETTINGS_SESSIONCACHEINMINUTES' => '10',
'MM_SERVICESETTINGS_SESSIONIDLETIMEOUTINMINUTES' => '43200',
'MM_SERVICESETTINGS_WEBSOCKETSECUREPORT' => '443',
'MM_SERVICESETTINGS_WEBSOCKETPORT' => '80',
'MM_SERVICESETTINGS_WEBSERVERMODE' => 'GZIP',
'MM_SERVICESETTINGS_ENABLECUSTOMEMOJI' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_ENABLEEMOJIPICKER' => 'true',
'MM_SERVICESETTINGS_ENABLEGIFPICKER' => 'true',
'MM_SERVICESETTINGS_GFYCATAPIKEY' => "<CLASS 'STR'>",
'MM_SERVICESETTINGS_GFYCATAPISECRET' => "<CLASS 'STR'>",
'MM_SERVICESETTINGS_RESTRICTCUSTOMEMOJICREATION' => 'ALL',
'MM_SERVICESETTINGS_RESTRICTPOSTDELETE' => 'ALL',
'MM_SERVICESETTINGS_ALLOWEDITPOST' => 'ALWAYS',
'MM_SERVICESETTINGS_POSTEDITTIMELIMIT' => '-1',
'MM_SERVICESETTINGS_TIMEBETWEENUSERTYPINGUPDATESMILLISECONDS' => '5000',
'MM_SERVICESETTINGS_ENABLEPOSTSEARCH' => 'true',
'MM_SERVICESETTINGS_MINIMUMHASHTAGLENGTH' => '3',
'MM_SERVICESETTINGS_ENABLEUSERTYPINGMESSAGES' => 'true',
'MM_SERVICESETTINGS_ENABLECHANNELVIEWEDMESSAGES' => 'true',
'MM_SERVICESETTINGS_ENABLEUSERSTATUSES' => 'true',
'MM_SERVICESETTINGS_EXPERIMENTALENABLEAUTHENTICATIONTRANSFER' => 'true',
'MM_SERVICESETTINGS_CLUSTERLOGTIMEOUTMILLISECONDS' => '2000',
'MM_SERVICESETTINGS_CLOSEUNUSEDDIRECTMESSAGES' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_ENABLEPREVIEWFEATURES' => 'true',
'MM_SERVICESETTINGS_ENABLETUTORIAL' => 'true',
'MM_SERVICESETTINGS_EXPERIMENTALENABLEDEFAULTCHANNELLEAVEJOINMESSAGES' => 'true',
'MM_SERVICESETTINGS_EXPERIMENTALGROUPUNREADCHANNELS' => 'DISABLED',
'MM_SERVICESETTINGS_EXPERIMENTALCHANNELORGANIZATION' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_IMAGEPROXYTYPE' => "<CLASS 'STR'>",
'MM_SERVICESETTINGS_IMAGEPROXYURL' => "<CLASS 'STR'>",
'MM_SERVICESETTINGS_IMAGEPROXYOPTIONS' => "<CLASS 'STR'>",
'MM_SERVICESETTINGS_ENABLEAPITEAMDELETION' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_EXPERIMENTALENABLEHARDENEDMODE' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_DISABLELEGACYMFA' => 'true',
'MM_SERVICESETTINGS_EXPERIMENTALSTRICTCSRFENFORCEMENT' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_ENABLEEMAILINVITATIONS' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_EXPERIMENTALLDAPGROUPSYNC' => "<CLASS 'BOOL'>",
'MM_SERVICESETTINGS_DISABLEBOTSWHENOWNERISDEACTIVATED' => 'true',
'MM_SERVICESETTINGS_ENABLEBOTACCOUNTCREATION' => "<CLASS 'BOOL'>",

# TeamSettings

'MM_TEAMSETTINGS_SITENAME' => 'MATTERMOST',
'MM_TEAMSETTINGS_MAXUSERSPERTEAM' => '50',
'MM_TEAMSETTINGS_ENABLETEAMCREATION' => 'true',
'MM_TEAMSETTINGS_ENABLEUSERCREATION' => "<CLASS 'BOOL'>",
'MM_TEAMSETTINGS_ENABLEOPENSERVER' => "<CLASS 'BOOL'>",
'MM_TEAMSETTINGS_ENABLEUSERDEACTIVATION' => "<CLASS 'BOOL'>",
'MM_TEAMSETTINGS_RESTRICTCREATIONTODOMAINS' => "<CLASS 'STR'>",
'MM_TEAMSETTINGS_ENABLECUSTOMBRAND' => "<CLASS 'BOOL'>",
'MM_TEAMSETTINGS_CUSTOMBRANDTEXT' => "<CLASS 'STR'>",
'MM_TEAMSETTINGS_CUSTOMDESCRIPTIONTEXT' => "<CLASS 'STR'>",
'MM_TEAMSETTINGS_RESTRICTDIRECTMESSAGE' => 'ANY',
'MM_TEAMSETTINGS_RESTRICTTEAMINVITE' => 'ALL',
'MM_TEAMSETTINGS_RESTRICTPUBLICCHANNELMANAGEMENT' => 'ALL',
'MM_TEAMSETTINGS_RESTRICTPRIVATECHANNELMANAGEMENT' => 'ALL',
'MM_TEAMSETTINGS_RESTRICTPUBLICCHANNELCREATION' => 'ALL',
'MM_TEAMSETTINGS_RESTRICTPRIVATECHANNELCREATION' => 'ALL',
'MM_TEAMSETTINGS_RESTRICTPUBLICCHANNELDELETION' => 'ALL',
'MM_TEAMSETTINGS_RESTRICTPRIVATECHANNELDELETION' => 'ALL',
'MM_TEAMSETTINGS_RESTRICTPRIVATECHANNELMANAGEMEMBERS' => 'ALL',
'MM_TEAMSETTINGS_ENABLEXTOLEAVECHANNELSFROMLHS' => "<CLASS 'BOOL'>",
'MM_TEAMSETTINGS_USERSTATUSAWAYTIMEOUT' => '300',
'MM_TEAMSETTINGS_MAXCHANNELSPERTEAM' => '2000',
'MM_TEAMSETTINGS_MAXNOTIFICATIONSPERCHANNEL' => '1000000',
'MM_TEAMSETTINGS_ENABLECONFIRMNOTIFICATIONSTOCHANNEL' => 'true',
'MM_TEAMSETTINGS_TEAMMATENAMEDISPLAY' => 'USERNAME',
'MM_TEAMSETTINGS_EXPERIMENTALVIEWARCHIVEDCHANNELS' => "<CLASS 'BOOL'>",
'MM_TEAMSETTINGS_EXPERIMENTALENABLEAUTOMATICREPLIES' => "<CLASS 'BOOL'>",
'MM_TEAMSETTINGS_EXPERIMENTALHIDETOWNSQUAREINLHS' => "<CLASS 'BOOL'>",
'MM_TEAMSETTINGS_EXPERIMENTALTOWNSQUAREISREADONLY' => "<CLASS 'BOOL'>",
'MM_TEAMSETTINGS_EXPERIMENTALPRIMARYTEAM' => "<CLASS 'STR'>",
'MM_TEAMSETTINGS_EXPERIMENTALDEFAULTCHANNELS' => "<CLASS 'LIST'>",

# ClientRequirements

'MM_CLIENTREQUIREMENTS_ANDROIDLATESTVERSION' => "<CLASS 'STR'>",
'MM_CLIENTREQUIREMENTS_ANDROIDMINVERSION' => "<CLASS 'STR'>",
'MM_CLIENTREQUIREMENTS_DESKTOPLATESTVERSION' => "<CLASS 'STR'>",
'MM_CLIENTREQUIREMENTS_DESKTOPMINVERSION' => "<CLASS 'STR'>",
'MM_CLIENTREQUIREMENTS_IOSLATESTVERSION' => "<CLASS 'STR'>",
'MM_CLIENTREQUIREMENTS_IOSMINVERSION' => "<CLASS 'STR'>",

# SqlSettings

'MM_SQLSETTINGS_DRIVERNAME' => 'POSTGRES',
'MM_SQLSETTINGS_DATASOURCE' => 'USER=<removed> HOST=<removed> PORT=5432 DBNAME=MATTERMOST PASSWORD=<removed>',
'MM_SQLSETTINGS_DATASOURCEREPLICAS' => "<CLASS 'LIST'>",
'MM_SQLSETTINGS_DATASOURCESEARCHREPLICAS' => "<CLASS 'LIST'>",
'MM_SQLSETTINGS_MAXIDLECONNS' => '20',
'MM_SQLSETTINGS_CONNMAXLIFETIMEMILLISECONDS' => '3600000',
'MM_SQLSETTINGS_MAXOPENCONNS' => '300',
'MM_SQLSETTINGS_TRACE' => "<CLASS 'BOOL'>",
'MM_SQLSETTINGS_ATRESTENCRYPTKEY' => '<removed>',
'MM_SQLSETTINGS_QUERYTIMEOUT' => '30',

# LogSettings

'MM_LOGSETTINGS_ENABLECONSOLE' => "<CLASS 'BOOL'>",
'MM_LOGSETTINGS_CONSOLELEVEL' => 'INFO',
'MM_LOGSETTINGS_CONSOLEJSON' => 'true',
'MM_LOGSETTINGS_ENABLEFILE' => 'true',
'MM_LOGSETTINGS_FILELEVEL' => 'NOTIFY',
'MM_LOGSETTINGS_FILEJSON' => 'true',
'MM_LOGSETTINGS_FILELOCATION' => "<CLASS 'STR'>",
'MM_LOGSETTINGS_ENABLEWEBHOOKDEBUGGING' => 'true',
'MM_LOGSETTINGS_ENABLEDIAGNOSTICS' => 'true',

# NotificationLogSettings

'MM_NOTIFICATIONLOGSETTINGS_ENABLECONSOLE' => 'true',
'MM_NOTIFICATIONLOGSETTINGS_CONSOLELEVEL' => 'INFO',
'MM_NOTIFICATIONLOGSETTINGS_CONSOLEJSON' => 'true',
'MM_NOTIFICATIONLOGSETTINGS_ENABLEFILE' => 'true',
'MM_NOTIFICATIONLOGSETTINGS_FILELEVEL' => 'INFO',
'MM_NOTIFICATIONLOGSETTINGS_FILEJSON' => 'true',
'MM_NOTIFICATIONLOGSETTINGS_FILELOCATION' => "<CLASS 'STR'>",

# PasswordSettings

'MM_PASSWORDSETTINGS_MINIMUMLENGTH' => '5',
'MM_PASSWORDSETTINGS_LOWERCASE' => "<CLASS 'BOOL'>",
'MM_PASSWORDSETTINGS_NUMBER' => "<CLASS 'BOOL'>",
'MM_PASSWORDSETTINGS_UPPERCASE' => "<CLASS 'BOOL'>",
'MM_PASSWORDSETTINGS_SYMBOL' => "<CLASS 'BOOL'>",

# FileSettings

'MM_FILESETTINGS_ENABLEFILEATTACHMENTS' => 'true',
'MM_FILESETTINGS_ENABLEMOBILEUPLOAD' => 'true',
'MM_FILESETTINGS_ENABLEMOBILEDOWNLOAD' => 'true',
'MM_FILESETTINGS_MAXFILESIZE' => '52428800',
'MM_FILESETTINGS_DRIVERNAME' => 'LOCAL',
'MM_FILESETTINGS_DIRECTORY' => './DATA/',
'MM_FILESETTINGS_ENABLEPUBLICLINK' => "<CLASS 'BOOL'>",
'MM_FILESETTINGS_PUBLICLINKSALT' => 'TUEWDEWKGCE6SNA4AN1IGMHMF9D83FQO',
'MM_FILESETTINGS_INITIALFONT' => 'NUNITO-BOLD.TTF',
'MM_FILESETTINGS_AMAZONS3ACCESSKEYID' => "<CLASS 'STR'>",
'MM_FILESETTINGS_AMAZONS3SECRETACCESSKEY' => "<CLASS 'STR'>",
'MM_FILESETTINGS_AMAZONS3BUCKET' => "<CLASS 'STR'>",
'MM_FILESETTINGS_AMAZONS3REGION' => "<CLASS 'STR'>",
'MM_FILESETTINGS_AMAZONS3ENDPOINT' => 'S3.AMAZONAWS.COM',
'MM_FILESETTINGS_AMAZONS3SSL' => 'true',
'MM_FILESETTINGS_AMAZONS3SIGNV2' => "<CLASS 'BOOL'>",
'MM_FILESETTINGS_AMAZONS3SSE' => "<CLASS 'BOOL'>",
'MM_FILESETTINGS_AMAZONS3TRACE' => "<CLASS 'BOOL'>",

# EmailSettings

'MM_EMAILSETTINGS_ENABLESIGNUPWITHEMAIL' => "<CLASS 'BOOL'>",
'MM_EMAILSETTINGS_ENABLESIGNINWITHEMAIL' => "<CLASS 'BOOL'>",
'MM_EMAILSETTINGS_ENABLESIGNINWITHUSERNAME' => "<CLASS 'BOOL'>",
'MM_EMAILSETTINGS_SENDEMAILNOTIFICATIONS' => "<CLASS 'BOOL'>",
'MM_EMAILSETTINGS_USECHANNELINEMAILNOTIFICATIONS' => "<CLASS 'BOOL'>",
'MM_EMAILSETTINGS_REQUIREEMAILVERIFICATION' => "<CLASS 'BOOL'>",
'MM_EMAILSETTINGS_FEEDBACKNAME' => "<CLASS 'STR'>",
'MM_EMAILSETTINGS_FEEDBACKEMAIL' => "<CLASS 'STR'>",
'MM_EMAILSETTINGS_REPLYTOADDRESS' => "<CLASS 'STR'>",
'MM_EMAILSETTINGS_FEEDBACKORGANIZATION' => "<CLASS 'STR'>",
'MM_EMAILSETTINGS_ENABLESMTPAUTH' => "<CLASS 'BOOL'>",
'MM_EMAILSETTINGS_SMTPUSERNAME' => "<CLASS 'STR'>",
'MM_EMAILSETTINGS_SMTPPASSWORD' => "<CLASS 'STR'>",
'MM_EMAILSETTINGS_SMTPSERVER' => 'DOCKERHOST',
'MM_EMAILSETTINGS_SMTPPORT' => '2500',
'MM_EMAILSETTINGS_CONNECTIONSECURITY' => "<CLASS 'STR'>",
'MM_EMAILSETTINGS_SENDPUSHNOTIFICATIONS' => "<CLASS 'BOOL'>",
'MM_EMAILSETTINGS_PUSHNOTIFICATIONSERVER' => "<CLASS 'STR'>",
'MM_EMAILSETTINGS_PUSHNOTIFICATIONCONTENTS' => 'GENERIC',
'MM_EMAILSETTINGS_ENABLEEMAILBATCHING' => "<CLASS 'BOOL'>",
'MM_EMAILSETTINGS_EMAILBATCHINGBUFFERSIZE' => '256',
'MM_EMAILSETTINGS_EMAILBATCHINGINTERVAL' => '30',
'MM_EMAILSETTINGS_ENABLEPREVIEWMODEBANNER' => "<CLASS 'BOOL'>",
'MM_EMAILSETTINGS_SKIPSERVERCERTIFICATEVERIFICATION' => "<CLASS 'BOOL'>",
'MM_EMAILSETTINGS_EMAILNOTIFICATIONCONTENTSTYPE' => 'FULL',
'MM_EMAILSETTINGS_LOGINBUTTONCOLOR' => '#0000',
'MM_EMAILSETTINGS_LOGINBUTTONBORDERCOLOR' => '#2389D7',
'MM_EMAILSETTINGS_LOGINBUTTONTEXTCOLOR' => '#2389D7',

# RateLimitSettings

'MM_RATELIMITSETTINGS_ENABLE' => "<CLASS 'BOOL'>",
'MM_RATELIMITSETTINGS_PERSEC' => '10',
'MM_RATELIMITSETTINGS_MAXBURST' => '100',
'MM_RATELIMITSETTINGS_MEMORYSTORESIZE' => '10000',
'MM_RATELIMITSETTINGS_VARYBYREMOTEADDR' => 'true',
'MM_RATELIMITSETTINGS_VARYBYUSER' => "<CLASS 'BOOL'>",
'MM_RATELIMITSETTINGS_VARYBYHEADER' => "<CLASS 'STR'>",

# PrivacySettings

'MM_PRIVACYSETTINGS_SHOWEMAILADDRESS' => 'true',
'MM_PRIVACYSETTINGS_SHOWFULLNAME' => 'true',

# SupportSettings

'MM_SUPPORTSETTINGS_TERMSOFSERVICELINK' => 'HTTPS://ABOUT.MATTERMOST.COM/DEFAULT-TERMS/',
'MM_SUPPORTSETTINGS_PRIVACYPOLICYLINK' => 'HTTPS://ABOUT.MATTERMOST.COM/DEFAULT-PRIVACY-POLICY/',
'MM_SUPPORTSETTINGS_ABOUTLINK' => 'HTTPS://ABOUT.MATTERMOST.COM/DEFAULT-ABOUT/',
'MM_SUPPORTSETTINGS_HELPLINK' => 'HTTPS://ABOUT.MATTERMOST.COM/DEFAULT-HELP/',
'MM_SUPPORTSETTINGS_REPORTAPROBLEMLINK' => 'HTTPS://ABOUT.MATTERMOST.COM/DEFAULT-REPORT-A-PROBLEM/',
'MM_SUPPORTSETTINGS_SUPPORTEMAIL' => 'FEEDBACK@MATTERMOST.COM',
'MM_SUPPORTSETTINGS_CUSTOMTERMSOFSERVICEENABLED' => "<CLASS 'BOOL'>",
'MM_SUPPORTSETTINGS_CUSTOMTERMSOFSERVICEREACCEPTANCEPERIOD' => '365',

# AnnouncementSettings

'MM_ANNOUNCEMENTSETTINGS_ENABLEBANNER' => "<CLASS 'BOOL'>",
'MM_ANNOUNCEMENTSETTINGS_BANNERTEXT' => "<CLASS 'STR'>",
'MM_ANNOUNCEMENTSETTINGS_BANNERCOLOR' => '#F2A93B',
'MM_ANNOUNCEMENTSETTINGS_BANNERTEXTCOLOR' => '#333333',
'MM_ANNOUNCEMENTSETTINGS_ALLOWBANNERDISMISSAL' => 'true',

# ThemeSettings

'MM_THEMESETTINGS_ENABLETHEMESELECTION' => 'true',
'MM_THEMESETTINGS_DEFAULTTHEME' => 'DEFAULT',
'MM_THEMESETTINGS_ALLOWCUSTOMTHEMES' => 'true',
'MM_THEMESETTINGS_ALLOWEDTHEMES' => "<CLASS 'LIST'>",

# GitLabSettings

'MM_GITLABSETTINGS_ENABLE' => "<CLASS 'BOOL'>",
'MM_GITLABSETTINGS_SECRET' => "<CLASS 'STR'>",
'MM_GITLABSETTINGS_ID' => "<CLASS 'STR'>",
'MM_GITLABSETTINGS_SCOPE' => "<CLASS 'STR'>",
'MM_GITLABSETTINGS_AUTHENDPOINT' => "<CLASS 'STR'>",
'MM_GITLABSETTINGS_TOKENENDPOINT' => "<CLASS 'STR'>",
'MM_GITLABSETTINGS_USERAPIENDPOINT' => "<CLASS 'STR'>",

# GoogleSettings

'MM_GOOGLESETTINGS_ENABLE' => "<CLASS 'BOOL'>",
'MM_GOOGLESETTINGS_SECRET' => "<CLASS 'STR'>",
'MM_GOOGLESETTINGS_ID' => "<CLASS 'STR'>",
'MM_GOOGLESETTINGS_SCOPE' => 'PROFILE EMAIL',
'MM_GOOGLESETTINGS_AUTHENDPOINT' => 'HTTPS://ACCOUNTS.GOOGLE.COM/O/OAUTH2/V2/AUTH',
'MM_GOOGLESETTINGS_TOKENENDPOINT' => 'HTTPS://WWW.GOOGLEAPIS.COM/OAUTH2/V4/TOKEN',
'MM_GOOGLESETTINGS_USERAPIENDPOINT' => 'HTTPS://WWW.GOOGLEAPIS.COM/PLUS/V1/PEOPLE/ME',

# Office365Settings

'MM_OFFICE365SETTINGS_ENABLE' => "<CLASS 'BOOL'>",
'MM_OFFICE365SETTINGS_SECRET' => "<CLASS 'STR'>",
'MM_OFFICE365SETTINGS_ID' => "<CLASS 'STR'>",
'MM_OFFICE365SETTINGS_SCOPE' => 'USER.READ',
'MM_OFFICE365SETTINGS_AUTHENDPOINT' => 'HTTPS://LOGIN.MICROSOFTONLINE.COM/COMMON/OAUTH2/V2.0/AUTHORIZE',
'MM_OFFICE365SETTINGS_TOKENENDPOINT' => 'HTTPS://LOGIN.MICROSOFTONLINE.COM/COMMON/OAUTH2/V2.0/TOKEN',
'MM_OFFICE365SETTINGS_USERAPIENDPOINT' => 'HTTPS://GRAPH.MICROSOFT.COM/V1.0/ME',

# LdapSettings

'MM_LDAPSETTINGS_ENABLE' => "<CLASS 'BOOL'>",
'MM_LDAPSETTINGS_ENABLESYNC' => "<CLASS 'BOOL'>",
'MM_LDAPSETTINGS_LDAPSERVER' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_LDAPPORT' => '389',
'MM_LDAPSETTINGS_CONNECTIONSECURITY' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_BASEDN' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_BINDUSERNAME' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_BINDPASSWORD' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_USERFILTER' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_GROUPFILTER' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_GROUPDISPLAYNAMEATTRIBUTE' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_GROUPIDATTRIBUTE' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_FIRSTNAMEATTRIBUTE' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_LASTNAMEATTRIBUTE' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_EMAILATTRIBUTE' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_USERNAMEATTRIBUTE' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_NICKNAMEATTRIBUTE' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_IDATTRIBUTE' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_POSITIONATTRIBUTE' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_LOGINIDATTRIBUTE' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_SYNCINTERVALMINUTES' => '60',
'MM_LDAPSETTINGS_SKIPCERTIFICATEVERIFICATION' => "<CLASS 'BOOL'>",
'MM_LDAPSETTINGS_QUERYTIMEOUT' => '60',
'MM_LDAPSETTINGS_MAXPAGESIZE' => "<CLASS 'INT'>",
'MM_LDAPSETTINGS_LOGINFIELDNAME' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_LOGINBUTTONCOLOR' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_LOGINBUTTONBORDERCOLOR' => "<CLASS 'STR'>",
'MM_LDAPSETTINGS_LOGINBUTTONTEXTCOLOR' => "<CLASS 'STR'>",

# ComplianceSettings

'MM_COMPLIANCESETTINGS_ENABLE' => "<CLASS 'BOOL'>",
'MM_COMPLIANCESETTINGS_DIRECTORY' => './DATA/',
'MM_COMPLIANCESETTINGS_ENABLEDAILY' => "<CLASS 'BOOL'>",

# LocalizationSettings

'MM_LOCALIZATIONSETTINGS_DEFAULTSERVERLOCALE' => 'EN',
'MM_LOCALIZATIONSETTINGS_DEFAULTCLIENTLOCALE' => 'EN',
'MM_LOCALIZATIONSETTINGS_AVAILABLELOCALES' => "<CLASS 'STR'>",

# SamlSettings

'MM_SAMLSETTINGS_ENABLE' => "<CLASS 'BOOL'>",
'MM_SAMLSETTINGS_ENABLESYNCWITHLDAP' => "<CLASS 'BOOL'>",
'MM_SAMLSETTINGS_ENABLESYNCWITHLDAPINCLUDEAUTH' => "<CLASS 'BOOL'>",
'MM_SAMLSETTINGS_VERIFY' => 'true',
'MM_SAMLSETTINGS_ENCRYPT' => 'true',
'MM_SAMLSETTINGS_IDPURL' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_IDPDESCRIPTORURL' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_ASSERTIONCONSUMERSERVICEURL' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_SCOPINGIDPPROVIDERID' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_SCOPINGIDPNAME' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_IDPCERTIFICATEFILE' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_PUBLICCERTIFICATEFILE' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_PRIVATEKEYFILE' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_IDATTRIBUTE' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_FIRSTNAMEATTRIBUTE' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_LASTNAMEATTRIBUTE' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_EMAILATTRIBUTE' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_USERNAMEATTRIBUTE' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_NICKNAMEATTRIBUTE' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_LOCALEATTRIBUTE' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_POSITIONATTRIBUTE' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_LOGINBUTTONTEXT' => 'SAML',
'MM_SAMLSETTINGS_LOGINBUTTONCOLOR' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_LOGINBUTTONBORDERCOLOR' => "<CLASS 'STR'>",
'MM_SAMLSETTINGS_LOGINBUTTONTEXTCOLOR' => "<CLASS 'STR'>",

# NativeAppSettings

'MM_NATIVEAPPSETTINGS_APPDOWNLOADLINK' => 'HTTPS://ABOUT.MATTERMOST.COM/DOWNLOADS/',
'MM_NATIVEAPPSETTINGS_ANDROIDAPPDOWNLOADLINK' => 'HTTPS://ABOUT.MATTERMOST.COM/MATTERMOST-ANDROID-APP/',
'MM_NATIVEAPPSETTINGS_IOSAPPDOWNLOADLINK' => 'HTTPS://ABOUT.MATTERMOST.COM/MATTERMOST-IOS-APP/',

# ClusterSettings

'MM_CLUSTERSETTINGS_ENABLE' => "<CLASS 'BOOL'>",
'MM_CLUSTERSETTINGS_CLUSTERNAME' => "<CLASS 'STR'>",
'MM_CLUSTERSETTINGS_OVERRIDEHOSTNAME' => "<CLASS 'STR'>",
'MM_CLUSTERSETTINGS_USEIPADDRESS' => 'true',
'MM_CLUSTERSETTINGS_USEEXPERIMENTALGOSSIP' => "<CLASS 'BOOL'>",
'MM_CLUSTERSETTINGS_READONLYCONFIG' => 'true',
'MM_CLUSTERSETTINGS_GOSSIPPORT' => '8074',
'MM_CLUSTERSETTINGS_STREAMINGPORT' => '8075',
'MM_CLUSTERSETTINGS_MAXIDLECONNS' => '100',
'MM_CLUSTERSETTINGS_MAXIDLECONNSPERHOST' => '128',
'MM_CLUSTERSETTINGS_IDLECONNTIMEOUTMILLISECONDS' => '90000',

# MetricsSettings

'MM_METRICSSETTINGS_ENABLE' => "<CLASS 'BOOL'>",
'MM_METRICSSETTINGS_BLOCKPROFILERATE' => "<CLASS 'INT'>",
'MM_METRICSSETTINGS_LISTENADDRESS' => ':8067',

# ExperimentalSettings

'MM_EXPERIMENTALSETTINGS_CLIENTSIDECERTENABLE' => "<CLASS 'BOOL'>",
'MM_EXPERIMENTALSETTINGS_CLIENTSIDECERTCHECK' => 'SECONDARY',
'MM_EXPERIMENTALSETTINGS_ENABLECLICKTOREPLY' => "<CLASS 'BOOL'>",
'MM_EXPERIMENTALSETTINGS_LINKMETADATATIMEOUTMILLISECONDS' => '5000',
'MM_EXPERIMENTALSETTINGS_RESTRICTSYSTEMADMIN' => "<CLASS 'BOOL'>",

# AnalyticsSettings

'MM_ANALYTICSSETTINGS_MAXUSERSFORSTATISTICS' => '2500',

# ElasticsearchSettings

'MM_ELASTICSEARCHSETTINGS_CONNECTIONURL' => 'HTTP://DOCKERHOST:9200',
'MM_ELASTICSEARCHSETTINGS_USERNAME' => 'ELASTIC',
'MM_ELASTICSEARCHSETTINGS_PASSWORD' => 'CHANGEME',
'MM_ELASTICSEARCHSETTINGS_ENABLEINDEXING' => "<CLASS 'BOOL'>",
'MM_ELASTICSEARCHSETTINGS_ENABLESEARCHING' => "<CLASS 'BOOL'>",
'MM_ELASTICSEARCHSETTINGS_ENABLEAUTOCOMPLETE' => "<CLASS 'BOOL'>",
'MM_ELASTICSEARCHSETTINGS_SNIFF' => 'true',
'MM_ELASTICSEARCHSETTINGS_POSTINDEXREPLICAS' => '1',
'MM_ELASTICSEARCHSETTINGS_POSTINDEXSHARDS' => '1',
'MM_ELASTICSEARCHSETTINGS_CHANNELINDEXREPLICAS' => '1',
'MM_ELASTICSEARCHSETTINGS_CHANNELINDEXSHARDS' => '1',
'MM_ELASTICSEARCHSETTINGS_USERINDEXREPLICAS' => '1',
'MM_ELASTICSEARCHSETTINGS_USERINDEXSHARDS' => '1',
'MM_ELASTICSEARCHSETTINGS_AGGREGATEPOSTSAFTERDAYS' => '365',
'MM_ELASTICSEARCHSETTINGS_POSTSAGGREGATORJOBSTARTTIME' => '03:00',
'MM_ELASTICSEARCHSETTINGS_INDEXPREFIX' => "<CLASS 'STR'>",
'MM_ELASTICSEARCHSETTINGS_LIVEINDEXINGBATCHSIZE' => '1',
'MM_ELASTICSEARCHSETTINGS_BULKINDEXINGTIMEWINDOWSECONDS' => '3600',
'MM_ELASTICSEARCHSETTINGS_REQUESTTIMEOUTSECONDS' => '30',

# DataRetentionSettings

'MM_DATARETENTIONSETTINGS_ENABLEMESSAGEDELETION' => "<CLASS 'BOOL'>",
'MM_DATARETENTIONSETTINGS_ENABLEFILEDELETION' => "<CLASS 'BOOL'>",
'MM_DATARETENTIONSETTINGS_MESSAGERETENTIONDAYS' => '365',
'MM_DATARETENTIONSETTINGS_FILERETENTIONDAYS' => '365',
'MM_DATARETENTIONSETTINGS_DELETIONJOBSTARTTIME' => '02:00',

# MessageExportSettings

'MM_MESSAGEEXPORTSETTINGS_ENABLEEXPORT' => "<CLASS 'BOOL'>",
'MM_MESSAGEEXPORTSETTINGS_EXPORTFORMAT' => 'ACTIANCE',
'MM_MESSAGEEXPORTSETTINGS_DAILYRUNTIME' => '01:00',
'MM_MESSAGEEXPORTSETTINGS_EXPORTFROMTIMESTAMP' => "<CLASS 'INT'>",
'MM_MESSAGEEXPORTSETTINGS_BATCHSIZE' => '10000',
'MM_MESSAGEEXPORTSETTINGS_GLOBALRELAYSETTINGS' => "{'CUSTOMERTYPE': 'A9', 'SMTPUSERNAME': '', 'SMTPPASSWORD': '', 'EMAILADDRESS': ''}",

# JobSettings

'MM_JOBSETTINGS_RUNJOBS' => 'true',
'MM_JOBSETTINGS_RUNSCHEDULER' => 'true',

# PluginSettings

'MM_PLUGINSETTINGS_ENABLE' => 'true',
'MM_PLUGINSETTINGS_ENABLEUPLOADS' => "<CLASS 'BOOL'>",
'MM_PLUGINSETTINGS_ENABLEHEALTHCHECK' => 'true',
'MM_PLUGINSETTINGS_DIRECTORY' => './PLUGINS',
'MM_PLUGINSETTINGS_CLIENTDIRECTORY' => './CLIENT/PLUGINS',
'MM_PLUGINSETTINGS_PLUGINS' => "<CLASS 'DICT'>",
'MM_PLUGINSETTINGS_PLUGINSTATES' => "{'COM.MATTERMOST.NPS': {'ENABLE': true}}",

# DisplaySettings

'MM_DISPLAYSETTINGS_CUSTOMURLSCHEMES' => "<CLASS 'LIST'>",
'MM_DISPLAYSETTINGS_EXPERIMENTALTIMEZONE' => "<CLASS 'BOOL'>",

# ImageProxySettings

'MM_IMAGEPROXYSETTINGS_ENABLE' => "<CLASS 'BOOL'>",
'MM_IMAGEPROXYSETTINGS_IMAGEPROXYTYPE' => 'LOCAL',
'MM_IMAGEPROXYSETTINGS_REMOTEIMAGEPROXYURL' => "<CLASS 'STR'>",
'MM_IMAGEPROXYSETTINGS_REMOTEIMAGEPROXYOPTIONS' => "<CLASS 'STR'>",
```
